Kodi Community Forum

Full Version: FAO Fritsch - can I upgrade your customised build?
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
(sorry for the public posting, but private messaging is disabled)

Hey, Fritsch - if you remember, you kindly compiled a kernel for me, way back when:  2691075 (post)

Query: how will this affect updates/upgrades to the platform?  I'm just thinking in the light of some recent security advisories that recommend kernel changes to address known vulns.  Is an "apt-get update|upgrade" okay with these changes, or do I run the risk of breaking something since I now have customised (but fully working!) code running under Ubuntu 16.04.4 ...?

Or failing that... if you have some notes/instructions on what you did to produce the custom build, I'll be happy to give it a go myself, if that's possible - I don't want to lock you into a support cycle here!

Thanks for any help you can give - and don't treat this as anything urgent; I've left it for several months and it's still working perfectly so de-prioritise any response in the light of your other demands!

Cheers!
Latest mainline kernel should be fine on your hardware. Try 4.17.0 - the Baytrail issue should be fixed now. You can find mainline kernel builds here: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.17/
That's brilliant. Thanks greatly!
(2018-06-06, 19:27)fritsch Wrote: [ -> ]You can find mainline kernel builds here: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.17/
Just a curiosity on this (I've been waylaid with other hardware issues), I came to look at the packages and I gather I'll need the amd64 ones (kernel is x86_64) but curious to know which to install.  Out of the list:

[font=Lucida\ Sans\ Unicode,Lucida\ Grande,sans-serif]  linux-headers-4.17.0-041700_4.17.0-041700.201806041953_all.deb
  linux-headers-4.17.0-041700-generic_4.17.0-041700.201806041953_amd64.deb
  linux-headers-4.17.0-041700-lowlatency_4.17.0-041700.201806041953_amd64.deb
  linux-image-unsigned-4.17.0-041700-generic_4.17.0-041700.201806041953_amd64.deb
  linux-image-unsigned-4.17.0-041700-lowlatency_4.17.0-041700.201806041953_amd64.deb
  linux-modules-4.17.0-041700-generic_4.17.0-041700.201806041953_amd64.deb
  linux-modules-4.17.0-041700-lowlatency_4.17.0-041700.201806041953_amd64.deb
[/font]


... I was intending on selecting those two emboldened, possibly one of the modules should I get unresolved dependencies also.  You know what the differences are between the "lowlatency" ones, etc?  Is there any benefit in selecting one of the others?

Thanks for your recommendations so far.  I'm pretty mesmerised that products of this high quality are freely available and supported (I remember the RH5.2 & 6.1 days when things were pretty basic and support was limited to unwelcoming and unfriendly newsgroups!)
Quote:  linux-headers-4.17.0-041700_4.17.0-041700.201806041953_all.deb
  linux-headers-4.17.0-041700-generic_4.17.0-041700.201806041953_amd64.deb
  linux-image-unsigned-4.17.0-041700-generic_4.17.0-041700.201806041953_amd64.deb
  linux-modules-4.17.0-041700-generic_4.17.0-041700.201806041953_amd64.deb

Go with 4.17.2 though.
[email protected]:/var/spool/install# ls -l *4.17*
-rw-r--r-- 1 root root 10223836 Jun 16 09:35 linux-headers-4.17.2-041702_4.17.2-041702.201806160433_all.deb
-rw-r--r-- 1 root root  1071316 Jun 16 09:51 linux-headers-4.17.2-041702-generic_4.17.2-041702.201806160433_amd64.deb
-rw-r--r-- 1 root root  8077168 Jun 16 09:51 linux-image-unsigned-4.17.2-041702-generic_4.17.2-041702.201806160433_amd64.deb
-rw-r--r-- 1 root root 45244332 Jun 16 09:51 linux-modules-4.17.2-041702-generic_4.17.2-041702.201806160433_amd64.deb


Leeched, thanks! Will let you know how it fares.

Will you be watching the match tomorrow?  Mexico could be a challenge!
(2018-06-16, 14:00)Preacher Wrote: [ -> ][email protected]:/var/spool/install# ls -l *4.17*
-rw-r--r-- 1 root root 10223836 Jun 16 09:35 linux-headers-4.17.2-041702_4.17.2-041702.201806160433_all.deb
-rw-r--r-- 1 root root  1071316 Jun 16 09:51 linux-headers-4.17.2-041702-generic_4.17.2-041702.201806160433_amd64.deb
-rw-r--r-- 1 root root  8077168 Jun 16 09:51 linux-image-unsigned-4.17.2-041702-generic_4.17.2-041702.201806160433_amd64.deb
-rw-r--r-- 1 root root 45244332 Jun 16 09:51 linux-modules-4.17.2-041702-generic_4.17.2-041702.201806160433_amd64.deb


Leeched, thanks! Will let you know how it fares.

Will you be watching the match tomorrow?  Mexico could be a challenge!
Nope - I am attending a crochet course and afterwards painting an image of grass.












Of course I will watch the game.
(2018-06-16, 14:37)fritsch Wrote: [ -> ]Of course I will watch the game.
It's been a pretty good start to the games so far - currently enjoying Iceland/Argentines.  That keeper's frighteningly good....

Installed almost all packages, Just had a dependency with linux-headers-4.17.2-041702-generic (Package libssl1.1 is not installed) so left it out and everything's come back up* - Kodi's working fine.  Great stuff!

(* actually, I struggled for an hour trying to fix a few config issues with bind ... without DNS I couldn't surf, so had to flick between mobile phone and a terminal window until I realised it was actually apparmor interfering so managed to get security changes implemented.  Then DHCP also needed attending, as I run isc-dhcp-server..... finally I was back up and running. That'll teach me to scrimp on configs and let warnings evolve to become show-stopping errors... grr...)

Thanks for all your help!